## orafce 2.1.2

=== Makefile ===
MODULE_big = orafunc
OBJS= file.o datefce.o others.o putline.o pipe.o plvdate.o shmmc.o plvstr.o alert.o magic.o plvsubst.o plvlex.o utility.o sqlparse.o

DATA_built = orafunc.sql
DOCS = README.orafunc COPYRIGHT.orafunc INSTALL.orafunc
REGRESS = orafunc files
REGRESS_OPTS = --load-language=plpgsql

EXTRA_CLEAN = sqlparse.c sqlparse.h sqlscan.c y.tab.c y.tab.h 

ifdef USE_PGXS
PGXS = $(shell pg_config --pgxs)
include $(PGXS)
else
subdir = contrib/orafce
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

plvlex.o: sqlparse.o

sqlparse.o: sqlscan.c                                                                                                                      
                                                                                                                                               
sqlparse.c: sqlparse.h ;                                                                                                                   
                                                                                                                                               
sqlparse.h: sqlparse.y                                                                                                                     
ifdef YACC                                                                                                                                     
	$(YACC) -d $(YFLAGS) -p orafce_sql_yy $<                                                                                                    
	mv -f y.tab.c sqlparse.c                                                                                                             
	mv -f y.tab.h sqlparse.h                                                                                                             
else                                                                                                                                           
	@$(missing) bison $< $@                                                                                                                
endif                                                                                                                                          
                                                                                                                                               
sqlscan.c: sqlscan.l                                                                                                                       
ifdef FLEX                                                                                                                                     
	$(FLEX) $(FLEXFLAGS) -o'$@' $<                                                                                                         
else                                                                                                                                           
	@$(missing) flex $< $@                                                                                                                 
endif

## orafce 2.1.4

=== Makefile ===
MODULE_big = orafunc
OBJS= backport.o file.o datefce.o others.o plvstr.o plvdate.o shmmc.o plvsubst.o utility.o plvlex.o alert.o pipe.o magic.o   sqlparse.o putline.o 

DATA_built = orafunc.sql
DOCS = README.orafunc COPYRIGHT.orafunc INSTALL.orafunc
REGRESS = orafunc files
REGRESS_OPTS = --load-language=plpgsql

EXTRA_CLEAN = sqlparse.c sqlparse.h sqlscan.c y.tab.c y.tab.h 

ifdef USE_PGXS
PGXS = $(shell pg_config --pgxs)
include $(PGXS)
else
subdir = contrib/orafce
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

ifeq (,$(FLEX))
FLEX = flex
endif

ifeq (,$(YACC))
YACC = yacc
endif

plvlex.o: sqlparse.o

sqlparse.o: sqlscan.c                                                                                                                      
                                                                                                                                               
sqlparse.c: sqlparse.h ;                                                                                                                   
                                                                                                                                               
sqlparse.h: sqlparse.y                                                                                                                     
	$(YACC) -d $(YFLAGS) -p orafce_sql_yy $<                                                                                                    
	mv -f y.tab.c sqlparse.c                                                                                                             
	mv -f y.tab.h sqlparse.h                                                                                                             
                                                                                                                                               
sqlscan.c: sqlscan.l                                                                                                                       
	$(FLEX) $(FLEXFLAGS) -o'$@' $<

## orafce 3.0.1

=== Makefile ===
MODULE_big = orafunc
OBJS= convert.o file.o datefce.o magic.o others.o plvstr.o plvdate.o shmmc.o plvsubst.o utility.o plvlex.o alert.o pipe.o sqlparse.o putline.o assert.o plunit.o

DATA_built = orafunc.sql
DATA = uninstall_orafunc.sql 
DOCS = README.orafunc COPYRIGHT.orafunc INSTALL.orafunc
REGRESS = orafunc dbms_output files
REGRESS_OPTS = --load-language=plpgsql

EXTRA_CLEAN = sqlparse.c sqlparse.h sqlscan.c y.tab.c y.tab.h 

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/orafce
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

ifeq ($(enable_nls), yes)
ifeq ($(PORTNAME),win32)
SHLIB_LINK += -lintl
else
SHLIB_LINK += -L$(libdir)/gettextlib
endif
endif

plvlex.o: sqlparse.o

sqlparse.o: $(srcdir)/sqlscan.c                                                                                                                      

$(srcdir)/sqlparse.h: $(srcdir)/sqlparse.c ;

$(srcdir)/sqlparse.c: sqlparse.y
ifdef BISON
	$(BISON) -d $(BISONFLAGS) -o $@ $<
else
ifdef YACC
	$(YACC) -d $(YFLAGS) -p cube_yy $<
	mv -f y.tab.c sqlparse.c
	mv -f y.tab.h sqlparse.h
else
	@$(missing) bison $< $@
endif
endif

$(srcdir)/sqlscan.c: sqlscan.l
ifdef FLEX
	$(FLEX) $(FLEXFLAGS) -o'$@' $<
else
	@$(missing) flex $< $@
endif

distprep: $(srcdir)/sqlparse.c $(srcdir)/sqlscan.c

maintainer-clean:
	rm -f $(srcdir)/sqlparse.c $(srcdir)/sqlscan.c

=== debian/changelog ===
orafce (3.0.1-1) unstable; urgency=low

  * New upstream release
  * Built against PostgreSQL 8.4 (closes: #559585)
  * Added ${misc:Depends}, per lintian
  * Changed section to "database"
  * Updated standards version
  * Changed source format to 3.0 (quilt)

 -- Peter Eisentraut <petere@debian.org>  Sat, 27 Mar 2010 15:25:42 +0200

orafce (2.1.4-1) unstable; urgency=low

  * New upstream release
  * Updated standards version
  * Added lintian override

 -- Peter Eisentraut <petere@debian.org>  Sat, 12 Jul 2008 11:12:48 +0200

orafce (2.1.3-3) unstable; urgency=low

  * Added Vcs-* control fields
  * Built against PostgreSQL 8.3

 -- Peter Eisentraut <petere@debian.org>  Mon, 18 Feb 2008 15:14:50 +0100

orafce (2.1.3-2) unstable; urgency=low

  * Added PATH setting to pick right pg_config (closes: #460361)

 -- Peter Eisentraut <petere@debian.org>  Sat, 12 Jan 2008 12:13:45 +0100

orafce (2.1.3-1) unstable; urgency=low

  * New upstream release
  * Updated standards version

 -- Peter Eisentraut <petere@debian.org>  Fri, 04 Jan 2008 14:32:25 +0100

orafce (2.1.2-1) unstable; urgency=low

  * Initial release

 -- Peter Eisentraut <petere@debian.org>  Wed, 17 Oct 2007 18:50:39 +0200

=== debian/control ===
Source: orafce
Section: database
Priority: optional
Maintainer: Peter Eisentraut <petere@debian.org>
Build-Depends: bison, cdbs, debhelper (>= 5), flex, postgresql-server-dev-8.4
Standards-Version: 3.8.4
Homepage: http://orafce.projects.postgresql.org/
Vcs-Svn: svn://svn.debian.org/pkg-postgresql/trunk/orafce/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-postgresql/trunk/orafce/

Package: postgresql-8.4-orafce
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-8.4
Description: Oracle support functions for PostgreSQL
 This project implements some functions for compatibility with Oracle.
 The functionality was verified on Oracle 10g, and the module is
 useful for production work.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

export USE_PGXS=1
export PATH:=/usr/lib/postgresql/8.4/bin:$(PATH)

DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(DEB_DESTDIR)

DEB_INSTALL_DOCS_postgresql-8.4-orafce = INSTALL.orafunc README.orafunc

binary-post-install/postgresql-8.4-orafce::
	rm -r $(DEB_DESTDIR)/usr/share/doc/postgresql/

## orafce 3.0.4

=== Makefile ===
--- 
+++ 
@@ -1,22 +1,31 @@
 MODULE_big = orafunc
-OBJS= convert.o file.o datefce.o magic.o others.o plvstr.o plvdate.o shmmc.o plvsubst.o utility.o plvlex.o alert.o pipe.o sqlparse.o putline.o assert.o plunit.o
+OBJS= convert.o file.o datefce.o magic.o others.o plvstr.o plvdate.o shmmc.o plvsubst.o utility.o plvlex.o alert.o pipe.o sqlparse.o putline.o assert.o plunit.o random.o aggregate.o
+
+EXTENSION = orafce
 
 DATA_built = orafunc.sql
-DATA = uninstall_orafunc.sql 
+DATA = uninstall_orafunc.sql orafce--3.0.sql orafce--unpackaged--3.0.sql
 DOCS = README.orafunc COPYRIGHT.orafunc INSTALL.orafunc
 REGRESS = orafunc dbms_output files
 REGRESS_OPTS = --load-language=plpgsql
 
-EXTRA_CLEAN = sqlparse.c sqlparse.h sqlscan.c y.tab.c y.tab.h 
+EXTRA_CLEAN = sqlparse.c sqlparse.h sqlscan.c y.tab.c y.tab.h orafunc.sql.in
+
+ifndef USE_PGXS
+top_builddir = ../..
+makefile_global = $(top_builddir)/src/Makefile.global
+ifeq "$(wildcard $(makefile_global))" ""
+USE_PGXS = 1	# use pgxs if not in contrib directory
+endif
+endif
 
 ifdef USE_PGXS
 PG_CONFIG = pg_config
 PGXS := $(shell $(PG_CONFIG) --pgxs)
 include $(PGXS)
 else
-subdir = contrib/orafce
-top_builddir = ../..
-include $(top_builddir)/src/Makefile.global
+subdir = contrib/$(MODULE_big)
+include $(makefile_global)
 include $(top_srcdir)/contrib/contrib-global.mk
 endif
 
@@ -27,6 +36,10 @@
 SHLIB_LINK += -L$(libdir)/gettextlib
 endif
 endif
+
+# remove dependency to libxml2 and libxslt
+LIBS := $(filter-out -lxml2, $(LIBS))
+LIBS := $(filter-out -lxslt, $(LIBS))
 
 plvlex.o: sqlparse.o
 
@@ -58,3 +71,11 @@
 
 maintainer-clean:
 	rm -f $(srcdir)/sqlparse.c $(srcdir)/sqlscan.c
+
+ifndef MAJORVERSION
+MAJORVERSION := $(basename $(VERSION))
+endif
+
+orafunc.sql.in:
+	cat orafunc-common.sql orafunc-$(MAJORVERSION).sql > orafunc.sql.in
+

=== debian/changelog ===
orafce (3.0.4-1.pgdg+1) sid-pgdg; urgency=low

  * Rebuild for sid-pgdg (jenkins-orafce-source-distribution=sid-1, svn
    revision 712)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Wed, 19 Dec 2012 10:50:07 +0100

orafce (3.0.4-1) unstable; urgency=low

  * New upstream release
    - Fixes -Wformat-security error (closes: #643451)
  * Updated standards version
  * Changed build system from cdbs to dh
  * Changed to build with pg_buildext, changing PostgreSQL version to 9.1
    (closes: #639471)

 -- Peter Eisentraut <petere@debian.org>  Sun, 25 Dec 2011 15:41:12 +0200

=== debian/control ===
Source: orafce
Section: database
Priority: optional
Maintainer: Peter Eisentraut <petere@debian.org>
Build-Depends: bison, debhelper (>= 8), flex, postgresql-server-dev-all (>= 128~)
Standards-Version: 3.9.2
Homepage: http://orafce.projects.postgresql.org/
Vcs-Svn: svn://svn.debian.org/pkg-postgresql/trunk/orafce/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-postgresql/trunk/orafce/

Package: postgresql-8.3-orafce
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-8.3
Description: Oracle support functions for PostgreSQL 8.3
 This project implements some functions for compatibility with Oracle.
 The functionality was verified on Oracle 10g, and the module is
 useful for production work.

Package: postgresql-8.4-orafce
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-8.4
Description: Oracle support functions for PostgreSQL 8.4
 This project implements some functions for compatibility with Oracle.
 The functionality was verified on Oracle 10g, and the module is
 useful for production work.

Package: postgresql-9.0-orafce
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-9.0
Description: Oracle support functions for PostgreSQL 9.0
 This project implements some functions for compatibility with Oracle.
 The functionality was verified on Oracle 10g, and the module is
 useful for production work.

Package: postgresql-9.1-orafce
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-9.1
Description: Oracle support functions for PostgreSQL 9.1
 This project implements some functions for compatibility with Oracle.
 The functionality was verified on Oracle 10g, and the module is
 useful for production work.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/postgresql-common/pgxs_debian_control.mk
clean: debian/control
.PHONY: debian/control

supported_versions := $(shell pg_buildext supported-versions)

%:
	dh $@

override_dh_auto_build:
	+pg_buildext build $(CURDIR) build-%v
	for v in $(supported_versions); do ln -s -t build-$$v $(addprefix ../,uninstall_orafunc.sql orafce--3.0.sql orafce--unpackaged--3.0.sql orafce.control README.orafunc COPYRIGHT.orafunc INSTALL.orafunc); done

override_dh_auto_install:
	+pg_buildext install $(CURDIR) build-%v postgresql-%v-orafce
	rm -r $(CURDIR)/debian/*/usr/share/doc/postgresql-doc-*

override_dh_auto_clean:
	+pg_buildext clean $(CURDIR) build-%v
	rm -rf build-?.?

override_dh_installdocs:
	dh_installdocs -A INSTALL.orafunc README.orafunc

=== debian/watch ===
version=3
http://pgfoundry.org/frs/?group_id=1000113 /frs/download.php/[0-9]+/orafce-([0-9.]+).tar.gz  debian  uupdate

## orafce 3.0.6

=== Makefile ===
--- 
+++ 
@@ -4,12 +4,35 @@
 EXTENSION = orafce
 
 DATA_built = orafunc.sql
-DATA = uninstall_orafunc.sql orafce--3.0.sql orafce--unpackaged--3.0.sql
-DOCS = README.orafunc COPYRIGHT.orafunc INSTALL.orafunc
-REGRESS = orafunc dbms_output files
-REGRESS_OPTS = --load-language=plpgsql
+DATA = uninstall_orafunc.sql orafce--3.0.6.sql orafce--unpackaged--3.0.6.sql
+DOCS = README.asciidoc COPYRIGHT.orafunc INSTALL.orafunc
 
-EXTRA_CLEAN = sqlparse.c sqlparse.h sqlscan.c y.tab.c y.tab.h orafunc.sql.in
+PG_CONFIG ?= pg_config
+
+# version as a number, e.g. 9.1.4 -> 901
+VERSION := $(shell $(PG_CONFIG) --version | awk '{print $$2}')
+INTVERSION := $(shell echo $$(($$(echo $(VERSION) | sed 's/\([[:digit:]]\{1,\}\)\.\([[:digit:]]\{1,\}\).*/\1*100+\2/' ))))
+
+REGRESS = orafunc dbms_output dbms_utility files
+
+ifeq ($(shell echo $$(($(INTVERSION) >= 804))),1)
+REGRESS += aggregates nlssort dbms_random
+endif
+
+REGRESS_OPTS = --load-language=plpgsql --schedule=parallel_schedule
+REGRESSION_EXPECTED = expected/orafunc.out expected/dbms_pipe_session_B.out
+
+ifeq ($(shell echo $$(($(INTVERSION) <= 802))),1)
+$(REGRESSION_EXPECTED): %.out: %1.out
+	cp $< $@
+else
+$(REGRESSION_EXPECTED): %.out: %2.out
+	cp $< $@
+endif
+
+installcheck: $(REGRESSION_EXPECTED)
+
+EXTRA_CLEAN = sqlparse.c sqlparse.h sqlscan.c y.tab.c y.tab.h orafunc.sql.in expected/orafunc.out expected/dbms_pipe_session_B.out
 
 ifndef USE_PGXS
 top_builddir = ../..
@@ -43,7 +66,7 @@
 
 plvlex.o: sqlparse.o
 
-sqlparse.o: $(srcdir)/sqlscan.c                                                                                                                      
+sqlparse.o: $(srcdir)/sqlscan.c
 
 $(srcdir)/sqlparse.h: $(srcdir)/sqlparse.c ;
 
@@ -56,7 +79,7 @@
 	mv -f y.tab.c sqlparse.c
 	mv -f y.tab.h sqlparse.h
 else
-	@$(missing) bison $< $@
+	bison -d $(BISONFLAGS) -o $@ $<
 endif
 endif
 
@@ -64,7 +87,7 @@
 ifdef FLEX
 	$(FLEX) $(FLEXFLAGS) -o'$@' $<
 else
-	@$(missing) flex $< $@
+	flex $(FLEXFLAGS) -o'$@' $<
 endif
 
 distprep: $(srcdir)/sqlparse.c $(srcdir)/sqlscan.c
@@ -77,5 +100,9 @@
 endif
 
 orafunc.sql.in:
-	cat orafunc-common.sql orafunc-$(MAJORVERSION).sql > orafunc.sql.in
-
+	if [ -f orafunc-$(MAJORVERSION).sql ] ; \
+	then \
+	cat orafunc-common.sql orafunc-$(MAJORVERSION).sql > orafunc.sql.in; \
+	else \
+	cat orafunc-common.sql orafunc-common-2.sql > orafunc.sql.in; \
+	fi

=== debian/changelog ===
orafce (3.0.6-1) unstable; urgency=medium

  * New upstream release
    + Updated bison support (closes: #710633)
    + Fixes extension loading (closes: #705408)
  * Point watch file at https://github.com/orafce/orafce/releases
  * Support all PostgreSQL versions (closes: #731515)
  * Add autopkgtest support
    + Skip the dbms_alert tests, they cause random build failures due to
      concurrency
  * Add myself to Uploaders

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 17 Feb 2014 13:40:22 +0100

=== debian/control ===
Source: orafce
Section: database
Priority: optional
Maintainer: Peter Eisentraut <petere@debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends: bison, debhelper (>= 9), flex, postgresql-server-dev-all (>= 153~)
Standards-Version: 3.9.5
Homepage: http://orafce.projects.postgresql.org/
Vcs-Svn: svn://svn.debian.org/pkg-postgresql/trunk/orafce/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-postgresql/trunk/orafce/
XS-Testsuite: autopkgtest

Package: postgresql-9.3-orafce
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-9.3
Description: Oracle support functions for PostgreSQL 9.3
 This project implements some functions for compatibility with Oracle.
 The functionality was verified on Oracle 10g, and the module is
 useful for production work.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/postgresql-common/pgxs_debian_control.mk

%:
	dh $@

override_dh_auto_build:

override_dh_auto_install:
	+pg_buildext loop postgresql-%v-orafce
	rm -r $(CURDIR)/debian/*/usr/share/doc/postgresql-doc-*

override_dh_installdocs:
	dh_installdocs -A INSTALL.orafunc README.asciidoc

=== debian/tests/control ===
Depends: @, postgresql-server-dev-all, locales
Tests: installcheck
Restrictions: needs-root allow-stderr

=== debian/watch ===
version=3
opts="uversionmangle=s/_RC/~RC/;s/_/./g" \
https://github.com/orafce/orafce/releases /orafce/orafce/archive/VERSION_(.*).tar.gz

## orafce 3.0.7

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 MODULE_big = orafunc
-OBJS= convert.o file.o datefce.o magic.o others.o plvstr.o plvdate.o shmmc.o plvsubst.o utility.o plvlex.o alert.o pipe.o sqlparse.o putline.o assert.o plunit.o random.o aggregate.o
+OBJS= convert.o file.o datefce.o magic.o others.o plvstr.o plvdate.o shmmc.o plvsubst.o utility.o plvlex.o alert.o pipe.o sqlparse.o putline.o assert.o plunit.o random.o aggregate.o oraguc.o
 
 EXTENSION = orafce
 
 DATA_built = orafunc.sql
-DATA = uninstall_orafunc.sql orafce--3.0.6.sql orafce--unpackaged--3.0.6.sql
+DATA = uninstall_orafunc.sql orafce--3.0.7.sql orafce--unpackaged--3.0.7.sql
 DOCS = README.asciidoc COPYRIGHT.orafunc INSTALL.orafunc
 
 PG_CONFIG ?= pg_config
@@ -12,6 +12,9 @@
 # version as a number, e.g. 9.1.4 -> 901
 VERSION := $(shell $(PG_CONFIG) --version | awk '{print $$2}')
 INTVERSION := $(shell echo $$(($$(echo $(VERSION) | sed 's/\([[:digit:]]\{1,\}\)\.\([[:digit:]]\{1,\}\).*/\1*100+\2/' ))))
+
+# make "all" the default target
+all:
 
 REGRESS = orafunc dbms_output dbms_utility files

=== debian/changelog ===
orafce (3.0.7-4) unstable; urgency=medium

  * Fix test failures with PostgreSQL 9.4.1: "\set ECHO all;" was always
    silently interpreted as "\set ECHO none"; now psql will print a warning.
    Fix by using "none" explicitly. The test output was already expecting the
    "none" output variant.

 -- Christoph Berg <myon@debian.org>  Sun, 22 Feb 2015 15:21:54 +0100

orafce (3.0.7-3) unstable; urgency=medium

  * Fix invocation of orafce_sql_yyerror. Patch taken from upstream git.
    (Closes: #749804)

 -- Martin Pitt <mpitt@debian.org>  Tue, 26 Aug 2014 19:07:29 +0200

orafce (3.0.7-2) unstable; urgency=medium

  * Add missing net-tools test dependency.
  * Add upstream patch to fix to_date() crashes on 32 bit systems.

 -- Martin Pitt <mpitt@debian.org>  Mon, 25 Aug 2014 07:23:47 +0200

orafce (3.0.7-1) unstable; urgency=medium

  * New upstream version with PostgreSQL 9.4 support.
  * debian/tests/installcheck: Use locale_gen from postgresql-common 159.

 -- Christoph Berg <myon@debian.org>  Mon, 28 Jul 2014 00:10:06 +0200

orafce (3.0.6-3) unstable; urgency=medium

  * Set team as Maintainer.
  * Use lsb_release -is in tests to determine OS.
  * Don't install INSTALL.orafunc.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 03 Jul 2014 16:02:42 +0200

orafce (3.0.6-2) unstable; urgency=medium

  [ Christoph Berg ]
  * Update Vcs URLs.

  [ Peter Eisentraut ]
  * Update homepage URL

 -- Christoph Berg <myon@debian.org>  Sun, 29 Jun 2014 23:44:16 +0200

=== debian/control ===
Source: orafce
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Peter Eisentraut <petere@debian.org>, Christoph Berg <myon@debian.org>
Build-Depends: bison, debhelper (>= 9), flex, postgresql-server-dev-all (>= 153~)
Standards-Version: 3.9.5
Homepage: https://github.com/orafce/orafce
Vcs-Git: git://anonscm.debian.org/pkg-postgresql/orafce.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/orafce.git
XS-Testsuite: autopkgtest

Package: postgresql-9.4-orafce
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-9.4
Description: Oracle support functions for PostgreSQL 9.4
 This project implements some functions for compatibility with Oracle.
 The functionality was verified on Oracle 10g, and the module is
 useful for production work.

## orafce 3.0.13

=== Makefile ===
MODULE_big = orafce
OBJS= convert.o file.o datefce.o magic.o others.o plvstr.o plvdate.o shmmc.o plvsubst.o utility.o plvlex.o alert.o pipe.o sqlparse.o putline.o assert.o plunit.o random.o aggregate.o oraguc.o varchar2.o nvarchar2.o

EXTENSION = orafce

DATA_built = orafce.sql
DATA = uninstall_orafce.sql orafce--3.0.13.sql orafce--unpackaged--3.0.13.sql
DOCS = README.asciidoc COPYRIGHT.orafce INSTALL.orafce

PG_CONFIG ?= pg_config

# version as a number, e.g. 9.1.4 -> 901
VERSION := $(shell $(PG_CONFIG) --version | awk '{print $$2}')
INTVERSION := $(shell echo $$(($$(echo $(VERSION) | sed 's/\([[:digit:]]\{1,\}\)\.\([[:digit:]]\{1,\}\).*/\1*100+\2/' ))))

# make "all" the default target
all:

REGRESS = orafce dbms_output dbms_utility files varchar2 nvarchar2

ifeq ($(shell echo $$(($(INTVERSION) >= 804))),1)
REGRESS += aggregates nlssort dbms_random
endif

REGRESS_OPTS = --load-language=plpgsql --schedule=parallel_schedule
REGRESSION_EXPECTED = expected/orafce.out expected/dbms_pipe_session_B.out
REGRESSION_EXPECTED2 =  expected/nvarchar2.out expected/varchar2.out

ifeq ($(shell echo $$(($(INTVERSION) >= 901))),1)
REGRESS_OPTS += --encoding=utf8
else
REGRESS_OPTS += --multibyte=utf8
endif

ifeq ($(shell echo $$(($(INTVERSION) <= 802))),1)
$(REGRESSION_EXPECTED): %.out: %1.out
	cp $< $@
else
$(REGRESSION_EXPECTED): %.out: %2.out
	cp $< $@
endif

ifeq ($(shell echo $$(($(INTVERSION) <= 803))),1)
$(REGRESSION_EXPECTED2): %.out: %1.out
	cp $< $@
else
$(REGRESSION_EXPECTED2): %.out: %2.out
	cp $< $@
endif

installcheck: $(REGRESSION_EXPECTED) $(REGRESSION_EXPECTED2) orafce.sql

check: $(REGRESSION_EXPECTED) $(REGRESSION_EXPECTED2)

EXTRA_CLEAN = sqlparse.c sqlparse.h sqlscan.c y.tab.c y.tab.h orafce.sql.in expected/orafce.out expected/dbms_pipe_session_B.out expected/varchar2.out expected/nvarchar2.out

ifdef NO_PGXS
subdir = contrib/$(MODULE_big)
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
else
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
endif

ifeq ($(enable_nls), yes)
ifeq ($(PORTNAME),win32)
SHLIB_LINK += -lintl
else
SHLIB_LINK += -L$(libdir)/gettextlib
endif
endif

# remove dependency to libxml2 and libxslt
LIBS := $(filter-out -lxml2, $(LIBS))
LIBS := $(filter-out -lxslt, $(LIBS))

plvlex.o: sqlparse.o

sqlparse.o: $(srcdir)/sqlscan.c

$(srcdir)/sqlparse.h: $(srcdir)/sqlparse.c ;

$(srcdir)/sqlparse.c: sqlparse.y
ifdef BISON
	$(BISON) -d $(BISONFLAGS) -o $@ $<
else
ifdef YACC
	$(YACC) -d $(YFLAGS) -p cube_yy $<
	mv -f y.tab.c sqlparse.c
	mv -f y.tab.h sqlparse.h
else
	bison -d $(BISONFLAGS) -o $@ $<
endif
endif

$(srcdir)/sqlscan.c: sqlscan.l
ifdef FLEX
	$(FLEX) $(FLEXFLAGS) -o'$@' $<
else
	flex $(FLEXFLAGS) -o'$@' $<
endif

distprep: $(srcdir)/sqlparse.c $(srcdir)/sqlscan.c

maintainer-clean:
	rm -f $(srcdir)/sqlparse.c $(srcdir)/sqlscan.c

ifndef MAJORVERSION
MAJORVERSION := $(basename $(VERSION))
endif

orafce.sql.in:
	if [ -f orafce-$(MAJORVERSION).sql ] ; \
	then \
	cat orafce-common.sql orafce-varchar2-casts-$(MAJORVERSION).sql orafce-$(MAJORVERSION).sql > orafce.sql.in; \
	else \
	cat orafce-common.sql orafce-varchar2-casts.sql orafce-common-2.sql > orafce.sql.in; \
	fi

=== debian/changelog ===
orafce (3.0.13-1.pgdg14.04+1) trusty-pgdg; urgency=medium

  * Rebuild for trusty-pgdg (jenkins-orafce-source-distribution=trusty-
    17, git revision 0706ffbe38479e0536b9f3cdc857fbae855351a5)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Wed, 07 Jan 2015 15:01:03 +0100

orafce (3.0.13-1) experimental; urgency=medium

  * New upstream release.
  * debian/pgversions: Restrict to 9.2+, we need varchar_transform.
  * Remove debian/postgresql-8.4-orafce.lintian-overrides.
  * Remove make call from debian/tests/installcheck.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 07 Jan 2015 10:13:33 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
 Uploaders: Peter Eisentraut <petere@debian.org>, Christoph Berg <myon@debian.org>
 Build-Depends: bison, debhelper (>= 9), flex, postgresql-server-dev-all (>= 153~)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://github.com/orafce/orafce
 Vcs-Git: git://anonscm.debian.org/pkg-postgresql/orafce.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/orafce.git

## orafce 3.0.14

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 MODULE_big = orafce
-OBJS= convert.o file.o datefce.o magic.o others.o plvstr.o plvdate.o shmmc.o plvsubst.o utility.o plvlex.o alert.o pipe.o sqlparse.o putline.o assert.o plunit.o random.o aggregate.o oraguc.o varchar2.o nvarchar2.o
+OBJS= convert.o file.o datefce.o magic.o others.o plvstr.o plvdate.o shmmc.o plvsubst.o utility.o plvlex.o alert.o pipe.o sqlparse.o putline.o assert.o plunit.o random.o aggregate.o oraguc.o varchar2.o nvarchar2.o charpad.o charlen.o
 
 EXTENSION = orafce
 
 DATA_built = orafce.sql
-DATA = uninstall_orafce.sql orafce--3.0.13.sql orafce--unpackaged--3.0.13.sql
+DATA = uninstall_orafce.sql orafce--3.0.14.sql orafce--unpackaged--3.0.14.sql
 DOCS = README.asciidoc COPYRIGHT.orafce INSTALL.orafce
 
 PG_CONFIG ?= pg_config
@@ -23,8 +23,7 @@
 endif
 
 REGRESS_OPTS = --load-language=plpgsql --schedule=parallel_schedule
-REGRESSION_EXPECTED = expected/orafce.out expected/dbms_pipe_session_B.out
-REGRESSION_EXPECTED2 =  expected/nvarchar2.out expected/varchar2.out
+REGRESSION_EXPECTED =  expected/nvarchar2.out expected/varchar2.out
 
 ifeq ($(shell echo $$(($(INTVERSION) >= 901))),1)
 REGRESS_OPTS += --encoding=utf8
@@ -32,7 +31,7 @@
 REGRESS_OPTS += --multibyte=utf8
 endif
 
-ifeq ($(shell echo $$(($(INTVERSION) <= 802))),1)
+ifeq ($(shell echo $$(($(INTVERSION) <= 803))),1)
 $(REGRESSION_EXPECTED): %.out: %1.out
 	cp $< $@
 else
@@ -40,19 +39,11 @@
 	cp $< $@
 endif
 
-ifeq ($(shell echo $$(($(INTVERSION) <= 803))),1)
-$(REGRESSION_EXPECTED2): %.out: %1.out
-	cp $< $@
-else
-$(REGRESSION_EXPECTED2): %.out: %2.out
-	cp $< $@
-endif
+installcheck: $(REGRESSION_EXPECTED) orafce.sql
 
-installcheck: $(REGRESSION_EXPECTED) $(REGRESSION_EXPECTED2) orafce.sql
+check: $(REGRESSION_EXPECTED)
 
-check: $(REGRESSION_EXPECTED) $(REGRESSION_EXPECTED2)
-
-EXTRA_CLEAN = sqlparse.c sqlparse.h sqlscan.c y.tab.c y.tab.h orafce.sql.in expected/orafce.out expected/dbms_pipe_session_B.out expected/varchar2.out expected/nvarchar2.out
+EXTRA_CLEAN = sqlparse.c sqlparse.h sqlscan.c y.tab.c y.tab.h orafce.sql.in expected/varchar2.out expected/nvarchar2.out
 
 ifdef NO_PGXS
 subdir = contrib/$(MODULE_big)

=== debian/changelog ===
orafce (3.0.14-2.pgdg80+2) jessie-pgdg; urgency=medium

  * Rebuild for jessie-pgdg (jenkins-orafce-source-distribution=jessie-
    23, git revision e62f1925448d2e8555a9ff806abbad54c78099d5)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Fri, 02 Oct 2015 15:33:29 +0200

orafce (3.0.14-2) unstable; urgency=medium

  * Upload to unstable.
  * Fix \set ECHO regression in regression tests.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 21 Sep 2015 11:03:38 +0200

orafce (3.0.14-1) experimental; urgency=medium

  * New upstream release.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 26 Jan 2015 16:51:19 +0100

## orafce 3.2.1

=== Makefile ===
MODULE_big = orafce
OBJS= convert.o file.o datefce.o magic.o others.o plvstr.o plvdate.o shmmc.o plvsubst.o utility.o plvlex.o alert.o pipe.o sqlparse.o putline.o assert.o plunit.o random.o aggregate.o orafce.o varchar2.o nvarchar2.o charpad.o charlen.o

EXTENSION = orafce

DATA = orafce--3.2.sql
DOCS = README.asciidoc COPYRIGHT.orafce INSTALL.orafce

PG_CONFIG ?= pg_config

# version as a number, e.g. 9.1.4 -> 901
VERSION := $(shell $(PG_CONFIG) --version | awk '{print $$2}')
INTVERSION := $(shell echo $$(($$(echo $(VERSION) | sed 's/\([[:digit:]]\{1,\}\)\.\([[:digit:]]\{1,\}\).*/\1*100+\2/' ))))

# make "all" the default target
all:

REGRESS = orafce dbms_output dbms_utility files varchar2 nvarchar2 aggregates nlssort dbms_random

REGRESS_OPTS = --load-language=plpgsql --schedule=parallel_schedule --encoding=utf8

EXTRA_CLEAN = sqlparse.c sqlparse.h sqlscan.c y.tab.c y.tab.h

#override CFLAGS += -pedantic

ifdef NO_PGXS
subdir = contrib/$(MODULE_big)
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
else
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
endif

ifeq ($(enable_nls), yes)
SHLIB_LINK += $(filter -lintl,$(LIBS))
endif

# remove dependency to libxml2 and libxslt
LIBS := $(filter-out -lxml2, $(LIBS))
LIBS := $(filter-out -lxslt, $(LIBS))

plvlex.o: sqlparse.o

sqlparse.o: $(srcdir)/sqlscan.c

$(srcdir)/sqlparse.h: $(srcdir)/sqlparse.c ;

$(srcdir)/sqlparse.c: sqlparse.y
ifdef BISON
	$(BISON) -d $(BISONFLAGS) -o $@ $<
else
ifdef YACC
	$(YACC) -d $(YFLAGS) -p cube_yy $<
	mv -f y.tab.c sqlparse.c
	mv -f y.tab.h sqlparse.h
else
	bison -d $(BISONFLAGS) -o $@ $<
endif
endif

$(srcdir)/sqlscan.c: sqlscan.l
ifdef FLEX
	$(FLEX) $(FLEXFLAGS) -o'$@' $<
else
	flex $(FLEXFLAGS) -o'$@' $<
endif

distprep: $(srcdir)/sqlparse.c $(srcdir)/sqlscan.c

maintainer-clean:
	rm -f $(srcdir)/sqlparse.c $(srcdir)/sqlscan.c

ifndef MAJORVERSION
MAJORVERSION := $(basename $(VERSION))
endif

=== debian/changelog ===
orafce (3.2.1-1) unstable; urgency=medium

  * New upstream version with 9.5 support. (Closes: #810634)

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 11 Jan 2016 17:17:33 +0100

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/orafce.git
 XS-Testsuite: autopkgtest
 
-Package: postgresql-9.4-orafce
+Package: postgresql-9.5-orafce
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-9.4
-Description: Oracle support functions for PostgreSQL 9.4
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-9.5
+Description: Oracle support functions for PostgreSQL 9.5
  This project implements some functions for compatibility with Oracle.
  The functionality was verified on Oracle 10g, and the module is
  useful for production work.

## orafce 3.3.0

=== debian/changelog ===
orafce (3.3.0-1.pgdg80+1) jessie-pgdg; urgency=medium

  * Rebuild for jessie-pgdg (jenkins-orafce-source-distribution=jessie-
    26, 1af748bd75e5f507326680d9b77b00433a2b6a1f/git)

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Sat, 09 Jul 2016 13:57:58 +0200

orafce (3.3.0-1) unstable; urgency=medium

  * New upstream version.
  * Add myself to uploaders
  * Bump Standars-Version

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Sat, 09 Jul 2016 12:33:08 +0200

## orafce 3.3.1

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 EXTENSION = orafce
 
-DATA = orafce--3.2.sql
+DATA = orafce--3.3.sql orafce--3.2--3.3.sql
 DOCS = README.asciidoc COPYRIGHT.orafce INSTALL.orafce
 
 PG_CONFIG ?= pg_config

=== debian/changelog ===
orafce (3.3.1-3) unstable; urgency=medium

  * Build-Depend on libssl-dev because libpq-be.h needs it.
    (Closes: #844889)

 -- Christoph Berg <myon@debian.org>  Sat, 19 Nov 2016 12:27:08 +0100

orafce (3.3.1-2) unstable; urgency=medium

  * Upload with 9.6 support.

 -- Christoph Berg <myon@debian.org>  Sat, 24 Sep 2016 13:35:29 +0200

orafce (3.3.1-1) unstable; urgency=medium

  * New upstream version.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Wed, 14 Sep 2016 12:55:00 +0200

=== debian/control ===
Source: orafce
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders:
 Peter Eisentraut <petere@debian.org>,
 Christoph Berg <myon@debian.org>,
 Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
Build-Depends:
 bison,
 debhelper (>= 9),
 flex,
 libssl-dev,
 postgresql-server-dev-all (>= 153~),
Standards-Version: 3.9.8
Homepage: https://github.com/orafce/orafce
Vcs-Git: git://anonscm.debian.org/pkg-postgresql/orafce.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/orafce.git
XS-Testsuite: autopkgtest

Package: postgresql-9.6-orafce
Architecture: any
Depends: postgresql-9.6, ${misc:Depends}, ${shlibs:Depends}
Description: Oracle support functions for PostgreSQL 9.6
 This project implements some functions for compatibility with Oracle.
 The functionality was verified on Oracle 10g, and the module is
 useful for production work.

## orafce 3.4.0

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 EXTENSION = orafce
 
-DATA = orafce--3.3.sql orafce--3.2--3.3.sql
+DATA = orafce--3.4.sql orafce--3.2--3.3.sql orafce--3.3--3.4.sql
 DOCS = README.asciidoc COPYRIGHT.orafce INSTALL.orafce
 
 PG_CONFIG ?= pg_config
@@ -15,7 +15,7 @@
 # make "all" the default target
 all:
 
-REGRESS = orafce dbms_output dbms_utility files varchar2 nvarchar2 aggregates nlssort dbms_random
+REGRESS = orafce orafce2 dbms_output dbms_utility files varchar2 nvarchar2 aggregates nlssort dbms_random
 
 REGRESS_OPTS = --load-language=plpgsql --schedule=parallel_schedule --encoding=utf8

=== debian/changelog ===
orafce (3.4.0-2~31.git07b8643.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg (jenkins-orafce-source-distribution=sid-31,
    07b86439a4c07cfe0f5ba9b2d12aab9081e0f01a/git)

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Sat, 09 Sep 2017 23:26:31 +0200

orafce (3.4.0-2) UNRELEASED; urgency=medium

  * B-D on libicu-dev for PostgreSQL 10 support, utils/pg_locale.h wants it.

 -- Christoph Berg <myon@debian.org>  Sat, 09 Sep 2017 23:24:29 +0200

orafce (3.4.0-1) experimental; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Tue, 28 Mar 2017 21:50:53 +0200

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,10 @@
  bison,
  debhelper (>= 9),
  flex,
+ libicu-dev,
  libssl-dev,
  postgresql-server-dev-all (>= 153~),
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: https://github.com/orafce/orafce
 Vcs-Git: git://anonscm.debian.org/pkg-postgresql/orafce.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/orafce.git

## orafce 3.6.0

=== debian/changelog ===
orafce (3.6.0-1.pgdg80+1) jessie-pgdg; urgency=medium

  * Rebuild for jessie-pgdg (jenkins-orafce-source-distribution=jessie-
    33, e6aed5a71231a93e6077956796da7c1f5d9d5e3c/git)

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Fri, 13 Oct 2017 19:58:52 +0200

orafce (3.6.0-1) unstable; urgency=medium

  * New upstream version with PostgreSQL 10 support.
  * B-D on libicu-dev for PostgreSQL 10 support, utils/pg_locale.h wants it.
  * Bump minimum supported version to 9.3 (needs pg_class.relispopulated).

 -- Christoph Berg <myon@debian.org>  Fri, 13 Oct 2017 19:47:45 +0200

## orafce 3.6.1

=== Makefile ===
--- 
+++ 
@@ -3,14 +3,10 @@
 
 EXTENSION = orafce
 
-DATA = orafce--3.4.sql orafce--3.2--3.3.sql orafce--3.3--3.4.sql
+DATA = orafce--3.6.sql orafce--3.2--3.3.sql orafce--3.3--3.4.sql orafce--3.4--3.5.sql orafce--3.5--3.6.sql
 DOCS = README.asciidoc COPYRIGHT.orafce INSTALL.orafce
 
 PG_CONFIG ?= pg_config
-
-# version as a number, e.g. 9.1.4 -> 901
-VERSION := $(shell $(PG_CONFIG) --version | awk '{print $$2}')
-INTVERSION := $(shell echo $$(($$(echo $(VERSION) | sed 's/\([[:digit:]]\{1,\}\)\.\([[:digit:]]\{1,\}\).*/\1*100+\2/' ))))
 
 # make "all" the default target
 all:
@@ -72,7 +68,3 @@
 
 maintainer-clean:
 	rm -f $(srcdir)/sqlparse.c $(srcdir)/sqlscan.c
-
-ifndef MAJORVERSION
-MAJORVERSION := $(basename $(VERSION))
-endif

=== debian/changelog ===
orafce (3.6.1-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Tue, 31 Oct 2017 19:36:04 +0100

=== debian/control ===
--- 
+++ 
@@ -13,16 +13,16 @@
  libicu-dev,
  libssl-dev,
  postgresql-server-dev-all (>= 153~),
-Standards-Version: 4.1.0
+Standards-Version: 4.1.1
 Homepage: https://github.com/orafce/orafce
 Vcs-Git: git://anonscm.debian.org/pkg-postgresql/orafce.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/orafce.git
 XS-Testsuite: autopkgtest
 
-Package: postgresql-9.6-orafce
+Package: postgresql-10-orafce
 Architecture: any
-Depends: postgresql-9.6, ${misc:Depends}, ${shlibs:Depends}
-Description: Oracle support functions for PostgreSQL 9.6
+Depends: postgresql-10, ${misc:Depends}, ${shlibs:Depends}
+Description: Oracle support functions for PostgreSQL 10
  This project implements some functions for compatibility with Oracle.
  The functionality was verified on Oracle 10g, and the module is
  useful for production work.

=== debian/rules ===
--- 
+++ 
@@ -12,4 +12,4 @@
 	rm -r $(CURDIR)/debian/*/usr/share/doc/postgresql-doc-*
 
 override_dh_installdocs:
-	dh_installdocs -A INSTALL.orafunc README.asciidoc
+	dh_installdocs -A README.asciidoc

## orafce 3.7.2

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 EXTENSION = orafce
 
-DATA = orafce--3.6.sql orafce--3.2--3.3.sql orafce--3.3--3.4.sql orafce--3.4--3.5.sql orafce--3.5--3.6.sql
+DATA = orafce--3.7.sql orafce--3.2--3.3.sql orafce--3.3--3.4.sql orafce--3.4--3.5.sql orafce--3.5--3.6.sql orafce--3.6--3.7.sql
 DOCS = README.asciidoc COPYRIGHT.orafce INSTALL.orafce
 
 PG_CONFIG ?= pg_config

=== debian/changelog ===
orafce (3.7.2-2) unstable; urgency=medium

  * Restrict supported PostgreSQL versions to 9.4+.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 07 Jan 2019 17:28:34 +0100

orafce (3.7.2-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 07 Jan 2019 16:23:55 +0100

orafce (3.6.1-2) unstable; urgency=medium

  * Upload for PostgreSQL 11.
  * Move packaging repository to salsa.debian.org
  * Move maintainer address to team+postgresql@tracker.debian.org.

 -- Christoph Berg <myon@debian.org>  Thu, 11 Oct 2018 22:43:34 +0200

=== debian/control ===
Source: orafce
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Peter Eisentraut <petere@debian.org>,
 Christoph Berg <myon@debian.org>,
 Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
Build-Depends:
 bison,
 debhelper (>= 9),
 flex,
 libicu-dev,
 libssl-dev,
 postgresql-server-dev-all (>= 153~),
Standards-Version: 4.1.1
Homepage: https://github.com/orafce/orafce
Vcs-Git: https://salsa.debian.org/postgresql/orafce.git
Vcs-Browser: https://salsa.debian.org/postgresql/orafce
XS-Testsuite: autopkgtest

Package: postgresql-11-orafce
Architecture: any
Depends: postgresql-11, ${misc:Depends}, ${shlibs:Depends}
Description: Oracle support functions for PostgreSQL 11
 This project implements some functions for compatibility with Oracle.
 The functionality was verified on Oracle 10g, and the module is
 useful for production work.

## orafce 3.8.0

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 MODULE_big = orafce
-OBJS= convert.o file.o datefce.o magic.o others.o plvstr.o plvdate.o shmmc.o plvsubst.o utility.o plvlex.o alert.o pipe.o sqlparse.o putline.o assert.o plunit.o random.o aggregate.o orafce.o varchar2.o nvarchar2.o charpad.o charlen.o
+OBJS= parse_keyword.o convert.o file.o datefce.o magic.o others.o plvstr.o plvdate.o shmmc.o plvsubst.o utility.o plvlex.o alert.o pipe.o sqlparse.o putline.o assert.o plunit.o random.o aggregate.o orafce.o varchar2.o nvarchar2.o charpad.o charlen.o
 
 EXTENSION = orafce
 
-DATA = orafce--3.7.sql orafce--3.2--3.3.sql orafce--3.3--3.4.sql orafce--3.4--3.5.sql orafce--3.5--3.6.sql orafce--3.6--3.7.sql
+DATA = orafce--3.8.sql orafce--3.2--3.3.sql orafce--3.3--3.4.sql orafce--3.4--3.5.sql orafce--3.5--3.6.sql orafce--3.6--3.7.sql orafce--3.7--3.8.sql
 DOCS = README.asciidoc COPYRIGHT.orafce INSTALL.orafce
 
 PG_CONFIG ?= pg_config

=== debian/changelog ===
orafce (3.8.0-2.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 29 Oct 2019 12:55:37 +0100

orafce (3.8.0-2) unstable; urgency=medium

  * Upload for PostgreSQL 12.
  * Add debian/gitlab-ci.yml.

 -- Christoph Berg <myon@debian.org>  Tue, 29 Oct 2019 12:55:37 +0100

orafce (3.8.0-1) experimental; urgency=medium

  * New upstream version with support for PG 12.

 -- Christoph Berg <myon@debian.org>  Thu, 23 May 2019 13:37:18 +0200

=== debian/control ===
--- 
+++ 
@@ -19,6 +19,38 @@
 Vcs-Browser: https://salsa.debian.org/postgresql/orafce
 XS-Testsuite: autopkgtest
 
+Package: postgresql-9.4-orafce
+Architecture: any
+Depends: postgresql-9.4, ${misc:Depends}, ${shlibs:Depends}
+Description: Oracle support functions for PostgreSQL 9.4
+ This project implements some functions for compatibility with Oracle.
+ The functionality was verified on Oracle 10g, and the module is
+ useful for production work.
+
+Package: postgresql-9.5-orafce
+Architecture: any
+Depends: postgresql-9.5, ${misc:Depends}, ${shlibs:Depends}
+Description: Oracle support functions for PostgreSQL 9.5
+ This project implements some functions for compatibility with Oracle.
+ The functionality was verified on Oracle 10g, and the module is
+ useful for production work.
+
+Package: postgresql-9.6-orafce
+Architecture: any
+Depends: postgresql-9.6, ${misc:Depends}, ${shlibs:Depends}
+Description: Oracle support functions for PostgreSQL 9.6
+ This project implements some functions for compatibility with Oracle.
+ The functionality was verified on Oracle 10g, and the module is
+ useful for production work.
+
+Package: postgresql-10-orafce
+Architecture: any
+Depends: postgresql-10, ${misc:Depends}, ${shlibs:Depends}
+Description: Oracle support functions for PostgreSQL 10
+ This project implements some functions for compatibility with Oracle.
+ The functionality was verified on Oracle 10g, and the module is
+ useful for production work.
+
 Package: postgresql-11-orafce
 Architecture: any
 Depends: postgresql-11, ${misc:Depends}, ${shlibs:Depends}
@@ -27,3 +59,10 @@
  The functionality was verified on Oracle 10g, and the module is
  useful for production work.
 
+Package: postgresql-12-orafce
+Architecture: any
+Depends: postgresql-12, ${misc:Depends}, ${shlibs:Depends}
+Description: Oracle support functions for PostgreSQL 12
+ This project implements some functions for compatibility with Oracle.
+ The functionality was verified on Oracle 10g, and the module is
+ useful for production work.

## orafce 3.9.0

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 EXTENSION = orafce
 
-DATA = orafce--3.8.sql orafce--3.2--3.3.sql orafce--3.3--3.4.sql orafce--3.4--3.5.sql orafce--3.5--3.6.sql orafce--3.6--3.7.sql orafce--3.7--3.8.sql
+DATA = orafce--3.9.sql orafce--3.2--3.3.sql orafce--3.3--3.4.sql orafce--3.4--3.5.sql orafce--3.5--3.6.sql orafce--3.6--3.7.sql orafce--3.7--3.8.sql orafce--3.8--3.9.sql
 DOCS = README.asciidoc COPYRIGHT.orafce INSTALL.orafce
 
 PG_CONFIG ?= pg_config
@@ -14,8 +14,6 @@
 REGRESS = orafce orafce2 dbms_output dbms_utility files varchar2 nvarchar2 aggregates nlssort dbms_random
 
 REGRESS_OPTS = --load-language=plpgsql --schedule=parallel_schedule --encoding=utf8
-
-EXTRA_CLEAN = sqlparse.c sqlparse.h sqlscan.c y.tab.c y.tab.h
 
 #override CFLAGS += -pedantic
 
@@ -67,4 +65,4 @@
 distprep: $(srcdir)/sqlparse.c $(srcdir)/sqlscan.c
 
 maintainer-clean:
-	rm -f $(srcdir)/sqlparse.c $(srcdir)/sqlscan.c
+	rm -f $(srcdir)/sqlparse.c $(srcdir)/sqlscan.c $(srcdir)/sqlparse.h $(srcdir)/y.tab.c $(srcdir)/y.tab.h

=== debian/changelog ===
orafce (3.9.0-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Wed, 19 Feb 2020 11:38:23 +0100

=== debian/control ===
Source: orafce
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Peter Eisentraut <petere@debian.org>,
 Christoph Berg <myon@debian.org>,
 Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
Build-Depends:
 bison,
 debhelper (>= 9),
 flex,
 libicu-dev,
 libssl-dev,
 postgresql-server-dev-all (>= 153~),
Standards-Version: 4.1.1
Homepage: https://github.com/orafce/orafce
Vcs-Git: https://salsa.debian.org/postgresql/orafce.git
Vcs-Browser: https://salsa.debian.org/postgresql/orafce
XS-Testsuite: autopkgtest

Package: postgresql-12-orafce
Architecture: any
Depends: postgresql-12, ${misc:Depends}, ${shlibs:Depends}
Description: Oracle support functions for PostgreSQL 12
 This project implements some functions for compatibility with Oracle.
 The functionality was verified on Oracle 10g, and the module is
 useful for production work.

=== debian/tests/control ===
Depends: @, postgresql-server-dev-all, locales, lsb-release, net-tools
Tests: installcheck
Restrictions: needs-root allow-stderr
